Name:			vid-stab
Version:		1.1
Release:		1%{?dist}
Summary:		Video stabilization library which can be plugged-in with Ffmpeg and Transcode

Group:			System Environment/Libraries
License:		GPLv2+
URL:			http://public.hronopik.de/vid.stab
# irregular download from https://github.com/georgmartius/vid.stab/tarball/release-0.98b
# at http://public.hronopik.de/vid.stab/download.php
Source0:		georgmartius-vid.stab-release-1.1-20150515git5970467d.zip
Patch1:			vid-stab-0.98b.maxshift.patch

BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
# Requires:		

%description
A video acquired using a hand-held camera or a camera mounted on a vehicle,
typically suffers from undesirable shakes and jitters. Activities such as
surfing, skiing, riding and walking while shooting videos are especially
prone to erratic camera shakes. Vidstab targets these video contents to help
create smoother and stable videos.


%prep
%setup -q -n vid.stab-5970467dec224668ee755b649644ec55ddac6374
%patch1 -p 1 -b .maxshift

%build
%cmake .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog Install LICENSE README.md Todo
%{_libdir}/*.so*
%{_libdir}/pkgconfig/*
%{_includedir}/vid.stab/



%changelog
* Sat Jun 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 1.1-1
- update to version 1.1

* Mon Sep  7 2015 J. Randall Owens <jrowens@ghiapet.net> - 0.98.1-2
- improve low-shake handling

* Sun Sep  6 2015  <jrowens@ghiapet.net> - 0.98.1-1
- initial build for GhiaPet/Fedora 21

